Skip to main content
GET
/
api
/
v1
/
projects
/
{project}
/
matrix-analysis
Matrix Analysis
curl --request GET \
  --url https://app.surfacd.com/api/v1/projects/{project}/matrix-analysis \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.surfacd.com/api/v1/projects/{project}/matrix-analysis"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.surfacd.com/api/v1/projects/{project}/matrix-analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rows": [
    {
      "id": "<string>",
      "name": "<string>",
      "metadata": {},
      "cells": [
        {
          "column_id": "<string>",
          "column_name": "<string>",
          "value": 123,
          "comparison_value": 123,
          "change": 123,
          "change_percentage": 123,
          "is_positive_good": true
        }
      ]
    }
  ],
  "columns": [
    {
      "id": "<string>",
      "name": "<string>",
      "metadata": {}
    }
  ]
}
{
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

Team API key created in Team Settings. Use it with URLs for the same team.

Path Parameters

project
string<uuid>
required

Project UUID.

Query Parameters

row_dimension
enum<string>
required
Available options:
brand,
tag,
country,
service,
topic
column_dimension
enum<string>
required

Must differ from row_dimension.

Available options:
brand,
tag,
country,
service,
topic
metric
enum<string>
required
Available options:
industry_rank,
visibility,
mentions,
avg_position
brands
string<uuid>[]

Brand UUIDs. Pass repeated brands[]=... query params.

Maximum array length: 10
tags
string<uuid>[]

Tag UUID filters. Discover tag UUIDs with GET /api/v1/projects/{project}/tags.

services
string[]

AI platform provider filters such as chatgpt or perplexity. Discover providers with GET /api/v1/platforms.

countries
string[]

Country code filters such as US or GB. Discover codes with GET /api/v1/countries.

prompt
string<uuid>

Prompt UUID filter.

topics
string[]

Topic UUID filters. Use no_topic for prompts without a topic. Discover topic UUIDs with GET /api/v1/projects/{project}/topics.

start_date
string<date>
required
end_date
string<date>
required

Must be on or after start_date.

competitors_only
boolean

When true, brand dimensions only include the primary brand and marked competitors.

Response

Matrix analysis result.

row_dimension_type
enum<string>
required
Available options:
brand,
tag,
country,
service,
topic
column_dimension_type
enum<string>
required
Available options:
brand,
tag,
country,
service,
topic
metric_type
enum<string>
required
Available options:
industry_rank,
visibility,
mentions,
avg_position
rows
object[]
required
columns
object[]
required